List Suites

  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /visual-tests
  • /suites

Get all visual test suites for a project

Request

REQUIRED SCOPES
VISUAL_TEST_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
suitesShortVisualTestSuiteView[]

Last modified on Jun 29, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/visual-tests/suites" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
200 OK